// AddDefPortsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VisioDraw.h"
#include "AddDefPortsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddDefPortsDlg dialog


CAddDefPortsDlg::CAddDefPortsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAddDefPortsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAddDefPortsDlg)
	m_bBottomCenter = theApp.m_bBottomCenter;
	m_bBottomRight = theApp.m_bBottomRight;
	m_bCenter = theApp.m_bCenter;
	m_bLeftBottom = theApp.m_bLeftBottom;
	m_bLeftCenter = theApp.m_bLeftCenter;
	m_bLeftTop = theApp.m_bLeftTop;
	m_bRightCenter = theApp.m_bRightCenter;
	m_bTopCenter = theApp.m_bTopCenter;
	m_bTopRight = theApp.m_bTopRight;
	m_b0 = theApp.m_b0;
	m_b1 = theApp.m_b1;
	m_b2 = theApp.m_b2;
	m_b3 = theApp.m_b3;
	m_b4 = theApp.m_b4;
	m_b5 = theApp.m_b5;
	m_b6 = theApp.m_b6;
	m_b7 = theApp.m_b7;
	m_bEachShape = FALSE;
	//}}AFX_DATA_INIT
 
}


void CAddDefPortsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAddDefPortsDlg)
	DDX_Check(pDX, IDC_CHECK_BOTTOM_CENTER, m_bBottomCenter);
	DDX_Check(pDX, IDC_CHECK_BOTTOM_RIGHT, m_bBottomRight);
	DDX_Check(pDX, IDC_CHECK_CENTER, m_bCenter);
	DDX_Check(pDX, IDC_CHECK_LEFT_BOTTOM, m_bLeftBottom);
	DDX_Check(pDX, IDC_CHECK_LEFT_CENTER, m_bLeftCenter);
	DDX_Check(pDX, IDC_CHECK_LEFT_TOP, m_bLeftTop);
	DDX_Check(pDX, IDC_CHECK_RIGHT_CENTER, m_bRightCenter);
	DDX_Check(pDX, IDC_CHECK_TOP_CENTER, m_bTopCenter);
	DDX_Check(pDX, IDC_CHECK_TOP_RIGHT, m_bTopRight);
	DDX_Check(pDX, IDC_P_0, m_b0);
	DDX_Check(pDX, IDC_P_1, m_b1);
	DDX_Check(pDX, IDC_P_2, m_b2);
	DDX_Check(pDX, IDC_P_3, m_b3);
	DDX_Check(pDX, IDC_P_4, m_b4);
	DDX_Check(pDX, IDC_P_5, m_b5);
	DDX_Check(pDX, IDC_P_6, m_b6);
	DDX_Check(pDX, IDC_P_7, m_b7);
	DDX_Check(pDX, IDC_CHECK_SINGLE, m_bEachShape);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAddDefPortsDlg, CDialog)
	//{{AFX_MSG_MAP(CAddDefPortsDlg)
	ON_BN_CLICKED(IDC_BUTTON_DIAMAND, OnButtonDiamand)
	ON_BN_CLICKED(IDC_BUTTON_RECT_ALL, OnButtonRectAll)
	ON_BN_CLICKED(IDC_BUTTON_RECT_CORNER, OnButtonRectCorner)
	ON_BN_CLICKED(IDC_BUTTON_TRIANGLE, OnButtonTriangle)
	ON_BN_CLICKED(IDC_BUTTON_NONE, OnButtonNone)
	ON_BN_CLICKED(IDC_BUTTON_TRIANGLE2, OnButtonTriangle2)
	ON_BN_CLICKED(IDC_BUTTON_ALL, OnButtonAll)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAddDefPortsDlg message handlers

void CAddDefPortsDlg::OnButtonDiamand() 
{
	// TODO: Add your control notification handler code here
	m_bBottomCenter = FALSE;
	m_bBottomRight = FALSE;
	m_bCenter = FALSE;
	m_bLeftBottom = FALSE;
	m_bLeftCenter = FALSE;
	m_bLeftTop = FALSE;
	m_bRightCenter = FALSE;
	m_bTopCenter = FALSE;
	m_bTopRight = FALSE;
	
	m_b0 = FALSE;
	m_b1 = FALSE;
	m_b2 = FALSE;
	m_b3 = FALSE;
	m_b4 = FALSE;
	m_b5 = FALSE;
	m_b6 = FALSE;
	m_b7 = FALSE;

	m_bBottomCenter = TRUE;
	m_bLeftCenter = TRUE;
	m_bRightCenter = TRUE;
	m_bTopCenter = TRUE;
	UpdateData(FALSE);
}

void CAddDefPortsDlg::OnButtonRectAll() 
{
	// TODO: Add your control notification handler code here

	m_bBottomCenter = FALSE;
	m_bBottomRight = FALSE;
	m_bCenter = FALSE;
	m_bLeftBottom = FALSE;
	m_bLeftCenter = FALSE;
	m_bLeftTop = FALSE;
	m_bRightCenter = FALSE;
	m_bTopCenter = FALSE;
	m_bTopRight = FALSE;
	
	m_b0 = FALSE;
	m_b1 = FALSE;
	m_b2 = FALSE;
	m_b3 = FALSE;
	m_b4 = FALSE;
	m_b5 = FALSE;
	m_b6 = FALSE;
	m_b7 = FALSE;

	m_bBottomCenter = TRUE;
	m_bBottomRight = TRUE;
	m_bLeftBottom = TRUE;
	m_bLeftCenter = TRUE;
	m_bLeftTop = TRUE;
	m_bRightCenter = TRUE;
	m_bTopCenter = TRUE;
	m_bTopRight = TRUE;
	UpdateData(FALSE);
}

void CAddDefPortsDlg::OnButtonRectCorner() 
{
	// TODO: Add your control notification handler code here
	m_bBottomCenter = FALSE;
	m_bBottomRight = FALSE;
	m_bCenter = FALSE;
	m_bLeftBottom = FALSE;
	m_bLeftCenter = FALSE;
	m_bLeftTop = FALSE;
	m_bRightCenter = FALSE;
	m_bTopCenter = FALSE;
	m_bTopRight = FALSE;
	
	m_b0 = FALSE;
	m_b1 = FALSE;
	m_b2 = FALSE;
	m_b3 = FALSE;
	m_b4 = FALSE;
	m_b5 = FALSE;
	m_b6 = FALSE;
	m_b7 = FALSE;


	m_bBottomRight = TRUE;
	m_bLeftBottom = TRUE;
	m_bLeftTop = TRUE;
	m_bTopRight = TRUE;
	UpdateData(FALSE);
}

void CAddDefPortsDlg::OnButtonTriangle() 
{
	// TODO: Add your control notification handler code here

	m_bBottomCenter = FALSE;
	m_bBottomRight = FALSE;
	m_bCenter = FALSE;
	m_bLeftBottom = FALSE;
	m_bLeftCenter = FALSE;
	m_bLeftTop = FALSE;
	m_bRightCenter = FALSE;
	m_bTopCenter = FALSE;
	m_bTopRight = FALSE;
	
	m_b0 = FALSE;
	m_b1 = FALSE;
	m_b2 = FALSE;
	m_b3 = FALSE;
	m_b4 = FALSE;
	m_b5 = FALSE;
	m_b6 = FALSE;
	m_b7 = FALSE;


	m_bBottomRight = TRUE;
	m_bLeftBottom = TRUE;
	m_bTopCenter = TRUE;

	UpdateData(FALSE);
}

void CAddDefPortsDlg::OnButtonNone() 
{
	// TODO: Add your control notification handler code here
	m_bBottomCenter = FALSE;
	m_bBottomRight = FALSE;
	m_bCenter = FALSE;
	m_bLeftBottom = FALSE;
	m_bLeftCenter = FALSE;
	m_bLeftTop = FALSE;
	m_bRightCenter = FALSE;
	m_bTopCenter = FALSE;
	m_bTopRight = FALSE;
	
	m_b0 = FALSE;
	m_b1 = FALSE;
	m_b2 = FALSE;
	m_b3 = FALSE;
	m_b4 = FALSE;
	m_b5 = FALSE;
	m_b6 = FALSE;
	m_b7 = FALSE;
	UpdateData(FALSE);
}

void CAddDefPortsDlg::OnButtonTriangle2() 
{
	// TODO: Add your control notification handler code here

	m_bBottomCenter = FALSE;
	m_bBottomRight = FALSE;
	m_bCenter = FALSE;
	m_bLeftBottom = FALSE;
	m_bLeftCenter = FALSE;
	m_bLeftTop = FALSE;
	m_bRightCenter = FALSE;
	m_bTopCenter = FALSE;
	m_bTopRight = FALSE;
	
	m_b0 = FALSE;
	m_b1 = FALSE;
	m_b2 = FALSE;
	m_b3 = FALSE;
	m_b4 = FALSE;
	m_b5 = FALSE;
	m_b6 = FALSE;
	m_b7 = FALSE;

	m_bBottomCenter = TRUE;
	m_bLeftTop = TRUE;
	m_bTopRight = TRUE;
	UpdateData(FALSE);
}

void CAddDefPortsDlg::OnButtonAll() 
{
	// TODO: Add your control notification handler code here
	m_bBottomCenter = TRUE;
	m_bBottomRight = TRUE;
	m_bCenter = TRUE;
	m_bLeftBottom = TRUE;
	m_bLeftCenter = TRUE;
	m_bLeftTop = TRUE;
	m_bRightCenter = TRUE;
	m_bTopCenter = TRUE;
	m_bTopRight = TRUE;
	
	m_b0 = TRUE;
	m_b1 = TRUE;
	m_b2 = TRUE;
	m_b3 = TRUE;
	m_b4 = TRUE;
	m_b5 = TRUE;
	m_b6 = TRUE;
	m_b7 = TRUE;
	UpdateData(FALSE);
}
