//  MFC ʾԴʾʹ MFC Microsoft Office Fluent û 
// (Fluent UI)ʾο
// Բ䡶Microsoft ο 
// MFC C++ 渽صĵ  
// ơʹûַ Fluent UI ǵṩġ  
// Ҫ˽й Fluent UI ɼƻϸϢ 
// http://go.microsoft.com/fwlink/?LinkId=238214
//
// Ȩ(C) Microsoft Corporation
// Ȩ

// CVisioDrawDoc.h : CVisioDrawDoc Ľӿ
//


#pragma once

//E-XD++ Library add lines.
#include "ExtTabModelManager.h"	


//===========================================================================
// Summary:
//     The CVisioDrawDoc class derived from COleDocument
//      Microsoft Visio style Application Document
//===========================================================================

class CVisioDrawDoc : public COleDocument
{
protected: // create from serialization only

		   //-----------------------------------------------------------------------
		   // Summary:
		   // Microsoft Visio style Application Document, Constructs a CVisioDrawDoc object.
		   //		Returns A  value.
	CVisioDrawDoc();

	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ D Y N C R E A T E, None Description.
	//		Returns A  value.  
	// Parameters:
	//		CVisioDrawDoc---Microsoft Visio style Application Document, Specifies a CVisioDrawDoc object.
	DECLARE_DYNCREATE(CVisioDrawDoc)

	// Attributes
public:

	//E-XD++ Library add lines.

	// Model Manager, This member maintains a pointer to the object CExtTabModelManager.  
	CExtTabModelManager *m_pModelManager;

	// New Document, This member sets TRUE if it is right.  
	BOOL bNewDocument;

	// Open Document, This member sets TRUE if it is right.  
	BOOL bOpenDocument;
	// Operations
public:

	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVisioDrawDoc)
public:

	//-----------------------------------------------------------------------
	// Summary:
	// On New Document, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.
	virtual BOOL OnNewDocument();

	//-----------------------------------------------------------------------
	// Summary:
	// Serialize, Reads or writes this object from or to an archive.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		ar---Specifies a CArchive& ar object.
	virtual void Serialize(CArchive& ar);
	//E-XD++ Library add lines.

	//-----------------------------------------------------------------------
	// Summary:
	// Delete Contents, Deletes the given object.
	// This member function is also a virtual function, you can Override it if you need,
	virtual void DeleteContents();

	//-----------------------------------------------------------------------
	// Summary:
	// Set Modified Flag, Sets a specify value to current class CVisioDrawDoc
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		bModified---bModified, Specifies A Boolean value.
	virtual void SetModifiedFlag(BOOL bModified = TRUE);

	//-----------------------------------------------------------------------
	// Summary:
	// Is Modified, Determines if the given value is correct or exist.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.
	virtual BOOL IsModified();

	//-----------------------------------------------------------------------
	// Summary:
	// On Save Document, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		lpszPathName---Path Name, Specifies A 32-bit pointer to a constant character string that is portable for Unicode and DBCS.
	virtual BOOL OnSaveDocument(LPCTSTR lpszPathName);

	//-----------------------------------------------------------------------
	// Summary:
	// On Open Document, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		lpszPathName---Path Name, Specifies A 32-bit pointer to a constant character string that is portable for Unicode and DBCS.
	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
	//}}AFX_VIRTUAL

	// Implementation
public:

	//-----------------------------------------------------------------------
	// Summary:
	// C Microsoft Visio style Application Document, Destructor of class CVisioDrawDoc
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns A  value.
	virtual ~CVisioDrawDoc();
#ifdef _DEBUG

	//-----------------------------------------------------------------------
	// Summary:
	// Assert Valid, Assert performs a validity check on this object by checking its internal state.
	// This member function is also a virtual function, you can Override it if you need,
	virtual void AssertValid() const;

	//-----------------------------------------------------------------------
	// Summary:
	// Dump, Dumps the contents of your object to a CDumpContext object.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		dc---Specifies a CDumpContext& dc object.
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

	// Generated message map functions
protected:
	//{{AFX_MSG(CVisioDrawDoc)
	// NOTE - the ClassWizard will add and remove member functions here.
	//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG

	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ M E S S A G E_ M A P, None Description.
	//		Returns A  value.
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnFileSaveAsTemplate();
	afx_msg void OnUpdateFileSaveAsTemplate(CCmdUI *pCmdUI);
};

class CMBFileObj : public CObject
{
protected:
	DECLARE_SERIAL(CMBFileObj);
public:
	CMBFileObj();
	virtual ~CMBFileObj();
	void ClearAll();
public:

	// Serializes the data.
	virtual void SerializeTemplate(CArchive &ar);

	// Serializes the data.
	virtual void SerializeTemplate2(CArchive &ar);

	// Save document.
	virtual BOOL SaveTemplateDoc(LPCTSTR lpszPathName);

	// Open document.
	virtual BOOL OpenTemplateDoc(LPCTSTR lpszPathName);

	// Open document.
	virtual BOOL OpenTemplateDocWithData(LPCTSTR lpszPathName);

	// Get file.
	CFile *GetTempFile(LPCTSTR lpszFileName, UINT nOpenFlags, CFileException* pError);

	// Release file.
	virtual void ReleaseTempFile(CFile* pFile, BOOL bAbort);

	// load icon file for the item.

	//-----------------------------------------------------------------------
	// Summary:
	// Load Icon File, Call this function to read a specified number of bytes from the archive.
	//		Returns BOOLvalue, TRUE on success; FALSE otherwise.  
	// Parameters:
	//		strFile---strFile, Specifies A CString type value.  
	//		cr---Specifies A 32-bit COLORREF value used as a color value.  
	//		255---Specifies a 255 object(Value).  
	//		255)---Specifies a 255) object(Value).
	BOOL	LoadIconFile(CString strFile, COLORREF cr = RGB(255, 255, 255));

	void GenFirstPageBitmap();

public:
	CExtTabModelManager *pModelManager;
	CFOBitmap			*m_pBitmap;

	CString m_strShapeIndex;
};
