 
#if !defined(AFX_WORKSPACEBAR_H__BB90CA5E_A36A_4B42_A0A4_97916997D2A2__INCLUDED_)
#define AFX_WORKSPACEBAR_H__BB90CA5E_A36A_4B42_A0A4_97916997D2A2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "UCCShapePropDlg.h"
#include "HMIShapePropSetDlg2.h"

class CWorkspaceBar : public CDockablePane
{
public:
	CWorkspaceBar();

// Attributes
public:
 
	CMFCTabCtrl			m_wndTabs;
	// m_wndTool, This member specify CMyToolBoxWnd object.  
	CFOPExtToolBarWnd m_wndTool;
	CUCCShapePropDlg dlgFill;
	CHMIShapePropSetDlg2 dlgLine;
	CFOTemplateWnd  m_wndDlgBar;
// Operations
public:
	//-----------------------------------------------------------------------
	// Summary:
	// Add Information To Tab, Adds an object to the specify list.
	
	void AddInfoToTab();
	
	void UpdateBar();

	void AdjustLayout ();
	// Load toolbar
	// nIDResource -- resource id
	
	//-----------------------------------------------------------------------
	// Summary:
	// Load Tool Bar, Call this function to read a specified number of bytes from the archive.
	//		Returns BOOLvalue, TRUE on success; FALSE otherwise.  
	// Parameters:
	//		nIDResource---I D Resource, Specifies A 16-bit unsigned integer on Windows versions 3.0 and 3.1; a 32-bit unsigned integer on Win32.
	BOOL LoadToolBar(UINT nIDResource);
	//-----------------------------------------------------------------------
	// Summary:
	// On Update Cmd U I, Called to notify a view that its document has been modified.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pTarget---pTarget, A pointer to the CFrameWnd  or NULL if the call failed.  
	//		bDisableIfNoHndler---Disable If No Hndler, Specifies A Boolean value.
	virtual void  OnUpdateCmdUI(CFrameWnd * pTarget, BOOL bDisableIfNoHndler);
	
	BOOL AddToolBar(UINT nID, CString strTitle);
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWorkspaceBar)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CWorkspaceBar();

// Generated message map functions
protected:
	//{{AFX_MSG(CWorkspaceBar)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	afx_msg LRESULT OnViewValidMsg(WPARAM, LPARAM);
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WORKSPACEBAR_H__BB90CA5E_A36A_4B42_A0A4_97916997D2A2__INCLUDED_)
